oyranos-xforms-modules(1)

NAME
oyranos-xforms-modules - Oyranos command line option forms dumping tool

SYNOPSIS
oyranos-xforms-modules [ [-n NAME] [-x FILENAME] [-v] ]
oyranos-xforms-modules [-?]

DESCRIPTION
The tool dumps out Oyranos option forms from a given module.

OPTIONS

-n module
    Get option forms from module. -f include policy options -x FILENAME Write to a option forms document. -v be verbose

-?  help text

ENVIRONMENT

OY_DEBUG
    set the Oyranos debug level. Alternatively the -v option can be used.

XDG_CONFIG_HOME XDG_DATA_DIRS
    route Oyranos to top directories containing resources. The derived paths for policies have a "color/settings" appended.
    http://www.oyranos.com/wiki/index.php?title=OpenIccDirectoryProposal

OY_MODULE_PATH
    route Oyranos to additional directories containing modules.

EXAMPLES

Get default options forms for module:
    oyranos-xforms-modules -n lcm2

Get default options forms for module and write to a file:
    oyranos-xforms-modules -n lcm2 -x lcms.xhtml

Pipe in forms, show and write to file:
    oyranos-xforms-modules -n lcm2 | oyranos-xforms-fltk -o lcm2.xhtml

Print a help text:
    oyranos-xforms-modules -?

AUTHOR
Kai-Uwe Behrmann (ku.b (at) gmx.de)

COPYRIGHT
(c) 2005-2011, Kai-Uwe Behrmann and others
License: new BSD <http://www.opensource.org/licenses/bsd-license.php>

SEE ALSO
oyranos-config(3) oyranos-policy(1) oyranos(3) oyranos-xforms(1) oyranos-xforms-fltk(1)
http://www.oyranos.org

BUGS
at: http://sourceforge.net/tracker/?group_id=177017&atid=879553